summaryrefslogtreecommitdiffstats
path: root/test/run-test
diff options
context:
space:
mode:
authorCalin Juravle <calin@google.com>2015-01-26 16:47:33 +0000
committerCalin Juravle <calin@google.com>2015-01-27 16:12:13 +0000
commit3cf4877c66f84a7ba524732e66adcfa5296e07c1 (patch)
tree547ed881036c8f440084f7643a90dd1933e607ed /test/run-test
parent2dadc9df0ffb822870a150f81257792b83241c77 (diff)
downloadart-3cf4877c66f84a7ba524732e66adcfa5296e07c1.zip
art-3cf4877c66f84a7ba524732e66adcfa5296e07c1.tar.gz
art-3cf4877c66f84a7ba524732e66adcfa5296e07c1.tar.bz2
run-test: enable checker in dev mode
Also, use explicit flush (instead of passing flush parameter to print) to enable better compatibility across python versions. Change-Id: Iaf294d88e932b778d5dce7f3c2b8eca775849973
Diffstat (limited to 'test/run-test')
-rwxr-xr-xtest/run-test14
1 files changed, 12 insertions, 2 deletions
diff --git a/test/run-test b/test/run-test
index 8ef3e3e..8c47663 100755
--- a/test/run-test
+++ b/test/run-test
@@ -543,10 +543,20 @@ if [ "$dev_mode" = "yes" ]; then
echo "${test_dir}: running..." 1>&2
"./${run}" $run_args "$@" 2>&1
run_exit="$?"
- echo "run exit status: $run_exit" 1>&2
+
if [ "$run_exit" = "0" ]; then
- good="yes"
+ if [ "$run_checker" = "yes" ]; then
+ "$checker" "$cfg_output" "$tmp_dir" 2>&1
+ checker_exit="$?"
+ if [ "$checker_exit" = "0" ]; then
+ good="yes"
+ fi
+ echo "checker exit status: $checker_exit" 1>&2
+ else
+ good="yes"
+ fi
fi
+ echo "run exit status: $run_exit" 1>&2
fi
elif [ "$update_mode" = "yes" ]; then
"./${build}" $build_args >"$build_output" 2>&1